package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * VirtualWanAvailableInfo
 */
@ApiModel(description = "VirtualWanAvailableInfo")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VirtualWanAvailableOpenApiVo   {
  @JsonProperty("virtualWanId")
  private String virtualWanId;

  @JsonProperty("physicalWanId")
  private String physicalWanId;

  @JsonProperty("name")
  private String name;

  @JsonProperty("ipv4Proto")
  private String ipv4Proto;

  @JsonProperty("type")
  private Integer type;

  public VirtualWanAvailableOpenApiVo virtualWanId(String virtualWanId) {
    this.virtualWanId = virtualWanId;
    return this;
  }

  /**
   * Virtual WAN ID.
   * @return virtualWanId
  */
  @ApiModelProperty(value = "Virtual WAN ID.")


  public String getVirtualWanId() {
    return virtualWanId;
  }

  public void setVirtualWanId(String virtualWanId) {
    this.virtualWanId = virtualWanId;
  }

  public VirtualWanAvailableOpenApiVo physicalWanId(String physicalWanId) {
    this.physicalWanId = physicalWanId;
    return this;
  }

  /**
   * Physical WAN ID.
   * @return physicalWanId
  */
  @ApiModelProperty(value = "Physical WAN ID.")


  public String getPhysicalWanId() {
    return physicalWanId;
  }

  public void setPhysicalWanId(String physicalWanId) {
    this.physicalWanId = physicalWanId;
  }

  public VirtualWanAvailableOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Virtual WAN name.
   * @return name
  */
  @ApiModelProperty(value = "Virtual WAN name.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public VirtualWanAvailableOpenApiVo ipv4Proto(String ipv4Proto) {
    this.ipv4Proto = ipv4Proto;
    return this;
  }

  /**
   * Virtual WAN IPv4 proto.
   * @return ipv4Proto
  */
  @ApiModelProperty(value = "Virtual WAN IPv4 proto.")


  public String getIpv4Proto() {
    return ipv4Proto;
  }

  public void setIpv4Proto(String ipv4Proto) {
    this.ipv4Proto = ipv4Proto;
  }

  public VirtualWanAvailableOpenApiVo type(Integer type) {
    this.type = type;
    return this;
  }

  /**
   * Physical WAN port type, 0: WAN; 1:WAN/LAN; 2:LAN; 3:SFP WAN; 4:USB LTE WAN; 5: LTE WAN; 6:DSL WAN;
   * @return type
  */
  @ApiModelProperty(value = "Physical WAN port type, 0: WAN; 1:WAN/LAN; 2:LAN; 3:SFP WAN; 4:USB LTE WAN; 5: LTE WAN; 6:DSL WAN;")


  public Integer getType() {
    return type;
  }

  public void setType(Integer type) {
    this.type = type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VirtualWanAvailableOpenApiVo virtualWanAvailableOpenApiVo = (VirtualWanAvailableOpenApiVo) o;
    return Objects.equals(this.virtualWanId, virtualWanAvailableOpenApiVo.virtualWanId) &&
        Objects.equals(this.physicalWanId, virtualWanAvailableOpenApiVo.physicalWanId) &&
        Objects.equals(this.name, virtualWanAvailableOpenApiVo.name) &&
        Objects.equals(this.ipv4Proto, virtualWanAvailableOpenApiVo.ipv4Proto) &&
        Objects.equals(this.type, virtualWanAvailableOpenApiVo.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(virtualWanId, physicalWanId, name, ipv4Proto, type);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VirtualWanAvailableOpenApiVo {\n");
    
    sb.append("    virtualWanId: ").append(toIndentedString(virtualWanId)).append("\n");
    sb.append("    physicalWanId: ").append(toIndentedString(physicalWanId)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    ipv4Proto: ").append(toIndentedString(ipv4Proto)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

